#
# spec file for package qperf
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

#%%define my_release

Name:           qperf
Summary:        Measure socket and RDMA performance
Version:        0.4.9
Release:        4.2
License:        BSD-2-Clause or GPL-2.0
Group:          Productivity/Networking/Diagnostic
Source:         http://www.openfabrics.org/downloads/qperf/%{name}-%{version}.tar.gz
Patch0:         qperf-autoconf.patch
Patch1:         qperf-add_missing_lib.patch
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel librdmacm-devel
BuildRequires:  autoconf automake libtool

%description
Measure socket and RDMA performance.

%prep
%setup -q
mv configure.in configure.ac
%patch0
%patch1

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
install -D -m 0755 src/qperf %{buildroot}%{_bindir}/qperf
install -D -m 0644 src/qperf.1 %{buildroot}%{_mandir}/man1/qperf.1
# As they're empty just delete them
rm -f NEWS ChangeLog

%files
%defattr(-, root, root)
%doc COPYING
%_bindir/qperf
%_mandir/man1/qperf.1*

%changelog
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Thu Feb 13 2014 pth@suse.de
- Update to 0.4.9 for fate#315488.
- Remove NEWS and ChangeLog as they're empty files.
- Add perf-autoconf.patch that tells autoconf these are non-GNU
  sources.
- Add qperf-add_missing_lib.patch that adds -lrdmacm to LDFLAGS.
* Wed Feb  6 2013 stefan.fent@suse.com
- Disable build on s390 and s390x
* Mon Jan 14 2013 pth@suse.de
- Update to the package from OFED 1.5.4.1 (fate#314189)
- Enable OFED on all architectures (fate#314124).
* Thu Dec  3 2009 jjolly@suse.de
- Updated to v0.4.6 from OFED 1.4.2
* Fri Dec 12 2008 jjolly@suse.de
- Updated to v0.4.2 from OFED 1.4 GA
  - Bugfixes
* Tue Oct 28 2008 jjolly@suse.de
- Updated to version from OFED 1.4 rc3
- Added ExcludeArch: s390 s390x
* Thu Sep 25 2008 jjolly@suse.de
- Added librdmacm-devel to the BuildRequires
* Fri Sep 12 2008 jjolly@suse.de
- Initial package created with v0.4.1
